## flac 1.4.2+ds

=== test/CMakeLists.txt ===
if(WIN32)
    set(EXEEXT .exe)
endif()

if(NOT UNIX)
    find_program(BUSYBOX_EXE busybox)
    if(NOT BUSYBOX_EXE)
        message(STATUS "Could NOT find busybox, only basic tests are enabled")
        add_test(NAME libFLAC
          COMMAND $<TARGET_FILE:test_libFLAC>
          WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        if(BUILD_CXXLIBS)
            add_test(NAME libFLAC++
              COMMAND $<TARGET_FILE:test_libFLAC++>
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        endif()
        if(BUILD_PROGRAMS)
            add_test(NAME flac_help
              COMMAND $<TARGET_FILE:flacapp> --help
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
            add_test(NAME flac_utf8_test COMMAND $<TARGET_FILE:flacapp> -t
              "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/שלום.flac"
              "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/Prøve.flac"
              "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/🤔.flac")
            add_test(NAME metaflac_help
              COMMAND $<TARGET_FILE:metaflac> --help
              WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        endif()
        return()
    else()
        set(BUSYBOX_CMD "sh")
    endif()
endif()

set(top_srcdir "${PROJECT_SOURCE_DIR}")
set(top_builddir "${PROJECT_BINARY_DIR}")
if(NOT GIT_COMMIT_TAG AND GIT_COMMIT_HASH AND GIT_COMMIT_DATE)
    set(GIT_COMMIT_VERSION_HASH yes)
endif()

configure_file(common.sh.in common.sh @ONLY)

set(ALL_TESTS libFLAC grabbag)

add_test(NAME libFLAC
    COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_libFLAC.sh"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
if(BUILD_CXXLIBS)
    add_test(NAME libFLAC++
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_libFLAC++.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    list(APPEND ALL_TESTS libFLAC++)
endif()
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/cuesheets")
add_test(NAME grabbag
    COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_grabbag.sh"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
if(BUILD_PROGRAMS)
    add_test(NAME flac
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_flac.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    # UTF-8 must be tested separately on Windows because busybox-w32 doesn't support UTF-8
    if(BUSYBOX_EXE)
        add_test(NAME flac_utf8_test COMMAND $<TARGET_FILE:flacapp> -t
            "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/שלום.flac"
            "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/Prøve.flac"
            "${CMAKE_CURRENT_SOURCE_DIR}/flac-to-flac-metadata-test-files/🤔.flac")
        list(APPEND ALL_TESTS flac_utf8_test)
    endif()
    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/metaflac-test-files")
    add_test(NAME metaflac
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_metaflac.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    add_test(NAME replaygain
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_replaygain.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    add_test(NAME seeking
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_seeking.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    add_test(NAME streams
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_streams.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    #   increase this if standard 1500 seconds are not enough
    #   set_tests_properties(streams PROPERTIES TIMEOUT 1500)
    add_test(NAME compression
        COMMAND ${BUSYBOX_EXE} ${BUSYBOX_CMD} "${CMAKE_CURRENT_SOURCE_DIR}/test_compression.sh"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
    list(APPEND ALL_TESTS flac metaflac replaygain seeking streams compression)
endif()


set_property(TEST ${ALL_TESTS} APPEND PROPERTY ENVIRONMENT FLAC__TEST_LEVEL=1)
if(BUSYBOX_EXE)
    set_property(TEST ${ALL_TESTS} APPEND PROPERTY ENVIRONMENT ECHO_N=-n)
    set_property(TEST ${ALL_TESTS} APPEND PROPERTY ENVIRONMENT WIN32BUSYBOX=yes)
else()
    set_property(TEST ${ALL_TESTS} APPEND PROPERTY ENVIRONMENT ECHO_C=\\c)
endif()

=== src/flac/CMakeLists.txt ===
check_include_file("sys/ioctl.h" HAVE_SYS_IOCTL_H)
check_include_file("termios.h" HAVE_TERMIOS_H)

add_executable(flacapp
    analyze.c
    decode.c
    encode.c
    foreign_metadata.c
    main.c
    local_string_utils.c
    utils.c
    vorbiscomment.c
    $<$<BOOL:${WIN32}>:../../include/share/win_utf8_io.h>
    $<$<BOOL:${WIN32}>:../share/win_utf8_io/win_utf8_io.c>)
set_property(TARGET flacapp PROPERTY RUNTIME_OUTPUT_NAME flac)
set_property(TARGET flacapp PROPERTY PROJECT_LABEL "flac")
target_link_libraries(flacapp
    FLAC
    getopt
    replaygain_synthesis
    utf8)

install(TARGETS flacapp EXPORT targets
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== src/libFLAC++/CMakeLists.txt ===
add_library(FLAC++
    metadata.cpp
    stream_decoder.cpp
    stream_encoder.cpp)
set_property(TARGET FLAC++ PROPERTY PROJECT_LABEL "libFLAC++")
target_compile_definitions(FLAC++
    PRIVATE $<$<BOOL:${BUILD_SHARED_LIBS}>:FLACPP_API_EXPORTS>
    PUBLIC $<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:FLAC__NO_DLL>)
if(NOT WIN32)
    target_compile_definitions(FLAC++ PRIVATE $<$<BOOL:${BUILD_SHARED_LIBS}>:FLAC__USE_VISIBILITY_ATTR>)
endif()
target_include_directories(FLAC++ INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(FLAC++ PUBLIC FLAC)
if(BUILD_SHARED_LIBS)
    set_target_properties(FLAC++ PROPERTIES
        VERSION 10.0.0
        SOVERSION 10)
    if(NOT WIN32)
        set_target_properties(FLAC++ PROPERTIES CXX_VISIBILITY_PRESET hidden)
    endif()
endif()

add_library(FLAC::FLAC++ ALIAS FLAC++)

install(TARGETS FLAC++ EXPORT targets
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/")

if(INSTALL_PKGCONFIG_MODULES)
    set(prefix "${CMAKE_INSTALL_PREFIX}")
    set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
    set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
    set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
    configure_file(flac++.pc.in flac++.pc @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/flac++.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif()

=== src/libFLAC/CMakeLists.txt ===
option(WITH_ASM "Use any assembly optimization routines" ON)

check_include_file("cpuid.h" HAVE_CPUID_H)
check_include_file("sys/param.h" HAVE_SYS_PARAM_H)

set(CMAKE_REQUIRED_LIBRARIES m)
check_function_exists(lround HAVE_LROUND)

include(CheckCSourceCompiles)
include(CheckCPUArch)
include(CheckAttribute)
include(CheckVSX)
include(CheckA64NEON)

check_cpu_arch_x64(FLAC__CPU_X86_64)
if(NOT FLAC__CPU_X86_64)
    check_cpu_arch_x86(FLAC__CPU_IA32)
endif()

if(FLAC__CPU_X86_64 OR FLAC__CPU_IA32)
    set(FLAC__ALIGN_MALLOC_DATA 1)
    option(WITH_AVX "Enable AVX, AVX2 optimizations (with runtime detection, resulting binary does not require AVX2, so only necessary when a compiler doesn't know about AVX)" ON)
    if(WITH_AVX AND MSVC)
        set_source_files_properties(lpc_intrin_avx2.c stream_encoder_intrin_avx2.c lpc_intrin_fma.c PROPERTIES COMPILE_FLAGS /arch:AVX2)
    endif()
else()
    check_cpu_arch_ppc64(FLAC__CPU_PPC64)
    if(FLAC__CPU_PPC64)
        set(FLAC__CPU_PPC 1 CACHE INTERNAL "Set because FLAC__CPU_PPC64 depends on it" FORCE)
        check_attribute_power8(FLAC__HAS_TARGET_POWER8)
        check_attribute_power9(FLAC__HAS_TARGET_POWER9)
        check_vsx(FLAC__USE_VSX)
    else()
        check_cpu_arch_arm64(FLAC__CPU_ARM64)
        if(FLAC__CPU_ARM64)
             check_a64neon(FLAC__HAS_A64NEONINTRIN)
        endif()
    endif()
endif()

if(NOT WITH_ASM)
    add_definitions(-DFLAC__NO_ASM)
endif()

include_directories("include")

add_library(FLAC
    bitmath.c
    bitreader.c
    bitwriter.c
    cpu.c
    crc.c
    fixed.c
    fixed_intrin_sse2.c
    fixed_intrin_ssse3.c
    float.c
    format.c
    lpc.c
    lpc_intrin_neon.c
    lpc_intrin_sse2.c
    lpc_intrin_sse41.c
    lpc_intrin_avx2.c
    lpc_intrin_fma.c
    lpc_intrin_vsx.c
    md5.c
    memory.c
    metadata_iterators.c
    metadata_object.c
    stream_decoder.c
    stream_encoder.c
    stream_encoder_intrin_sse2.c
    stream_encoder_intrin_ssse3.c
    stream_encoder_intrin_avx2.c
    stream_encoder_framing.c
    window.c
    $<$<BOOL:${WIN32}>:../../include/share/win_utf8_io.h>
    $<$<BOOL:${WIN32}>:../share/win_utf8_io/win_utf8_io.c>
    $<$<BOOL:${OGG_FOUND}>:ogg_decoder_aspect.c>
    $<$<BOOL:${OGG_FOUND}>:ogg_encoder_aspect.c>
    $<$<BOOL:${OGG_FOUND}>:ogg_helper.c>
    $<$<BOOL:${OGG_FOUND}>:ogg_mapping.c>)
set_property(TARGET FLAC PROPERTY PROJECT_LABEL "libFLAC")
if(TARGET FLAC-asm)
    target_sources(FLAC PRIVATE $<TARGET_OBJECTS:FLAC-asm>)
endif()

target_compile_definitions(FLAC
    PRIVATE $<$<BOOL:${BUILD_SHARED_LIBS}>:FLAC_API_EXPORTS>
    PUBLIC $<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:FLAC__NO_DLL>)
if(NOT WIN32)
    target_compile_definitions(FLAC PRIVATE $<$<BOOL:${BUILD_SHARED_LIBS}>:FLAC__USE_VISIBILITY_ATTR>)
endif()
target_include_directories(FLAC INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(FLAC PUBLIC $<$<BOOL:${HAVE_LROUND}>:m>)
if(TARGET Ogg::ogg)
    target_link_libraries(FLAC PUBLIC Ogg::ogg)
endif()
if(BUILD_SHARED_LIBS)
    set_target_properties(FLAC PROPERTIES
        VERSION 12.0.0
        SOVERSION 12)
    if(NOT WIN32)
        set_target_properties(FLAC PROPERTIES C_VISIBILITY_PRESET hidden)
    endif()
endif()

check_c_compiler_flag("-fassociative-math -fno-signed-zeros -fno-trapping-math -freciprocal-math" HAVE_ASSOC_MATH)

if(MSVC)
        target_compile_options(FLAC BEFORE PRIVATE "/fp:fast")
else()
    if(HAVE_ASSOC_MATH)
        target_compile_options(FLAC BEFORE PRIVATE -fassociative-math -fno-signed-zeros -fno-trapping-math -freciprocal-math)
    endif()
endif()

add_library(FLAC::FLAC ALIAS FLAC)

install(TARGETS FLAC EXPORT targets
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/")

if(INSTALL_PKGCONFIG_MODULES)
    set(prefix "${CMAKE_INSTALL_PREFIX}")
    set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
    set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
    set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
    configure_file(flac.pc.in flac.pc @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/flac.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif()

=== src/share/getopt/CMakeLists.txt ===
check_include_file("string.h" HAVE_STRING_H)

if(NOT WIN32)
    find_package(Intl)
endif()

add_library(getopt STATIC getopt.c getopt1.c)

if(Intl_FOUND)
    target_include_directories(getopt PRIVATE ${Intl_INCLUDE_DIRS})
    target_link_libraries(getopt PUBLIC ${Intl_LIBRARIES})
    target_compile_definitions(getopt PRIVATE HAVE_LIBINTL_H)
endif()

=== debian/changelog ===
flac (1.4.2+ds-2ubuntu1) lunar; urgency=medium

  * Do not build and install manpages on i386. Build dep pandoc is
    not available in Ubuntu for i386. (LP: #1997533)
    - debian/control:
      + Exclude pandoc build dep on i386.
      + Add dh-exec build dep.
    - debian/flac.install
      + Make executable and add '#!/usr/bin/dh-exec'.
      + Exclude installing manpages on i386.

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Nov 2022 18:56:12 +0000

flac (1.4.2+ds-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove doc/FLAC.tag and prebuilt manpages as well.

  [ Dennis Braun ]
  * d/copyright: Re-add a line which was removed accidentally

  [ Fabian Greffrath ]
  * Backport --force-legacy-wave-format command line option from
    upstream to force the decoder to output to WAVE_FORMAT_PCM when
    WAVE_FORMAT_EXTENSIBLE would be appropriate (Closes: #941132).

 -- Fabian Greffrath <fabian@debian.org>  Fri, 11 Nov 2022 09:10:23 +0100

flac (1.4.2+ds-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove incorrect Breaks+Replaces

  [ Dennis Braun ]
  * New upstream version 1.4.2
  * Drop privacy breach patch, applied by upstream
  * d/copyright: Remove non-existing entries

  [ Fabian Greffrath ]
  * Rebuild upstream tarball without documentation.
  * Remove debian/source/lintian-overrides file.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 26 Oct 2022 07:31:09 +0200

flac (1.4.1-2) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Oct 2022 10:05:04 +0200

flac (1.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.1
  * Refresh patchset, drop patches applied by upstream
  * Bump SO names
  * Apply wrap-and-sort -ast
  * Bump Standards Version to 4.6.1
  * Replace docbook-to-man with pandoc as B-D
  * Bump d/copyright years
  * Update doc installation, new path for html files & rename README file
  * Update symbols file
  * Add d/source/lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 14 Oct 2022 23:47:26 +0200

=== debian/control ===
Source: flac
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Joshua Kwan <joshk@triplehelix.org>,
 Fabian Greffrath <fabian@debian.org>,
Build-Depends-Indep:
 doxygen,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 libogg-dev,
 pandoc [!i386],
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
Homepage: https://xiph.org/flac/
Rules-Requires-Root: no

Package: flac
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - command line tools
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the command-line tools flac (used for encoding and
 decoding FLACs) and metaflac (used for manipulating FLAC metadata.)

Package: libflac12
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - runtime C library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC.

Package: libflac-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Suggests:
 libflac-dev,
Recommends:
 doc-base,
Depends:
 ${misc:Depends},
Description: Free Lossless Audio Codec - library documentation
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the API documentation for all the FLAC libraries.

Package: libflac-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libflac12 (= ${binary:Version}),
 libogg-dev,
 ${misc:Depends},
Description: Free Lossless Audio Codec - C development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC.

Package: libflac++10
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - C++ runtime library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC++.

Package: libflac++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libflac++10 (= ${binary:Version}),
 libflac-dev,
 ${misc:Depends},
Description: Free Lossless Audio Codec - C++ development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC++.

## flac 1.4.3+ds

=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

find_package(Doxygen)

if (NOT DOXYGEN_FOUND)
    return()
endif()

option(BUILD_DOXYGEN "Enable API documentation building via Doxygen" ON)

if (NOT BUILD_DOXYGEN)
    return()
endif()

set(top_srcdir "${PROJECT_SOURCE_DIR}")
configure_file(Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)


add_custom_target(FLAC-doxygen ALL
        COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen"
        VERBATIM )

install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/api/"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}/api")

=== examples/c/decode/file/CMakeLists.txt ===
add_executable(decode_file main.c)
target_link_libraries(decode_file FLAC)

=== debian/changelog ===
flac (1.4.3+ds-2.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:58:35 +0000

flac (1.4.3+ds-2.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Don't Build-Depend on pandoc on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 04 Mar 2024 17:31:33 +0000

flac (1.4.3+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063114

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:59:59 +0000

flac (1.4.3+ds-2ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on pandoc on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 21:48:23 -0400

flac (1.4.3+ds-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Don't use pandoc on ports architectures that don't have it.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 03 Jul 2023 08:43:49 +0200

flac (1.4.3+ds-1) unstable; urgency=medium

  [ Martijn van Beurden ]
  * Remove some flac building rules (Closes: #1022201).

  [ Fabian Greffrath ]
  * New upstream version 1.4.3+ds
  * Remove patch applied upstream.
  * Update libflac12.symbols file for API additions.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2023 12:05:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  Fabian Greffrath <fabian@debian.org>,
 Build-Depends-Indep:
  doxygen,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
- dh-exec,
  libogg-dev,
- pandoc [!i386],
+ pandoc [!arc !i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !sh4 !x32],
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
@@ -39,7 +38,10 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac12
+Package: libflac12t64
+Provides: ${t64:Provides}
+Replaces: libflac12
+Breaks: libflac12 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -91,7 +93,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac12 (= ${binary:Version}),
+ libflac12t64 (= ${binary:Version}),
  libogg-dev,
  ${misc:Depends},
 Description: Free Lossless Audio Codec - C development library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static \
		--disable-silent-rules

override_dh_auto_build-indep:
	dh_auto_build -i -- -C doc

override_dh_auto_install-indep:
	dh_auto_install -i -- -C doc

execute_after_dh_auto_install-arch:
	mkdir -p debian/tmp/usr/share/man	

override_dh_auto_test-arch:
	# drop (fake)root privileges,
	# but still skip running test suite
	# as it is *exhaustive*
	env -u LD_PRELOAD dh_auto_test -a --no-act

override_dh_auto_test-indep:

## flac 1.5.0%2Bds

=== src/flac/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 check_include_file("sys/ioctl.h" HAVE_SYS_IOCTL_H)
+check_include_file("sys/time.h" HAVE_SYS_TIME_H)
 check_include_file("termios.h" HAVE_TERMIOS_H)
 
 add_executable(flacapp
@@ -10,6 +11,7 @@
     local_string_utils.c
     utils.c
     vorbiscomment.c
+    version.rc
     $<$<BOOL:${WIN32}>:../../include/share/win_utf8_io.h>
     $<$<BOOL:${WIN32}>:../share/win_utf8_io/win_utf8_io.c>)
 set_property(TARGET flacapp PROPERTY RUNTIME_OUTPUT_NAME flac)

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,27 @@
 #!/usr/bin/make -f
-
-export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
+	dh_auto_configure -B $(BUILDDIR)-static
 	dh_auto_configure -- \
-		--disable-rpath \
-		--disable-xmms-plugin \
-		$(OPTFLAGS) \
-		--enable-static \
-		--disable-silent-rules
+		-DBUILD_SHARED_LIBS=ON
+
+override_dh_auto_build:
+	dh_auto_build -B $(BUILDDIR)-static
+	dh_auto_build
 
 override_dh_auto_build-indep:
 	dh_auto_build -i -- -C doc
+
+override_dh_auto_install:
+	dh_auto_install -B $(BUILDDIR)-static
+	dh_auto_install
 
 override_dh_auto_install-indep:
 	dh_auto_install -i -- -C doc

## flac 1.5.0+ds

=== doc/CMakeLists.txt ===
option(BUILD_DOXYGEN "Enable API documentation building via Doxygen if not already present" ON)

if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/api")

    find_package(Doxygen)

    if (NOT DOXYGEN_FOUND)
        return()
    endif()

    if (NOT BUILD_DOXYGEN)
        return()
    endif()

    set(top_srcdir "${PROJECT_SOURCE_DIR}")
    configure_file(Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)


    add_custom_target(FLAC-doxygen ALL
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMENT "Generating API documentation with Doxygen"
            VERBATIM )

    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/doxytmp/html/"
            DESTINATION "${CMAKE_INSTALL_DOCDIR}/api")
else()
    install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/api/"
            DESTINATION "${CMAKE_INSTALL_DOCDIR}/api")
endif()

=== src/test_seeking/CMakeLists.txt ===
add_executable(test_seeking
    main.c
    $<$<BOOL:${WIN32}>:../../include/share/win_utf8_io.h>
    $<$<BOOL:${WIN32}>:../share/win_utf8_io/win_utf8_io.c>)
target_link_libraries(test_seeking FLAC)

=== examples/c/encode/file/CMakeLists.txt ===
add_executable(encode_file main.c)
target_link_libraries(encode_file FLAC)

=== debian/changelog ===
flac (1.5.0+ds-5) unstable; urgency=medium

  * Let libflac-dev contain the development files for both libflac and
    libflac++, turn libflac++-dev into a dummy package that depends on
    libflac-dev (Closes: #1119138)
  * Mark the flac package as Multi-Arch: foreign and let the
    libflac-dev package depend on it, this is required when using
    cmake
  * Do not run dh_update_autotools_config and dh_autoreconf during
    build
  * Add obj-*/ to debian/clean
  * Remove debian/not-installed, not necessary anymore
  * Give up tracking mangled C++ symbols, use Upstream-Version for
    libflac++11

 -- Fabian Greffrath <fabian@debian.org>  Tue, 28 Oct 2025 09:07:32 +0100

flac (1.5.0+ds-4) unstable; urgency=medium

  * Configure with -DINSTALL_MANPAGES=OFF on systems without pandoc
    (Closes: #1118741)
  * Patch paths in doc/FLAC.tag after the build rule, remove
    dysfunctional patch
  * Update debian/watch file to version 5
  * Update project homepage
  * Remove redundant RRR: no
  * Bump Standards-Version to 4.7.2
  * Run wrap-and-sort -ast

 -- Fabian Greffrath <fabian@debian.org>  Sat, 25 Oct 2025 14:42:37 +0200

flac (1.5.0+ds-3) unstable; urgency=medium

  [ Patrice Duroux ]
  * Provide a .cmake file (Closes: #1118470)

  [ Fabian Greffrath ]
  * Still install .m4 files
  * Actually install .cmake files

 -- Fabian Greffrath <fabian@debian.org>  Thu, 23 Oct 2025 13:46:12 +0200

flac (1.5.0+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1098235)

 -- Fabian Greffrath <fabian@debian.org>  Fri, 21 Feb 2025 11:20:04 +0100

flac (1.5.0+ds-1) experimental; urgency=medium

  * New upstream version 1.5.0+ds
    + Support decoding of chained Ogg FLAC files (Closes: #498048)
  * Bump library SONAMEs to libflac14 and libflac++11
  * Update libflac14.symbols file with added symbols
  * Drop Provides: ${t64:Provides}
  * Update my Debian packaging copyright
  * Bump Standards-Version to 4.7.0
  * Upload to experimental

 -- Fabian Greffrath <fabian@debian.org>  Fri, 14 Feb 2025 12:32:47 +0100

flac (1.4.3+ds-4) unstable; urgency=medium

  * Team upload
  * Exclude pandoc on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Dec 2024 15:02:08 -0500

flac (1.4.3+ds-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove unused bits
  * Remove architectures that no longer exist
  * Clean generated files (Closes: #1044698)

  [ Fabian Greffrath ]
  * Exclude some more archs from the Build-Depends on the pandoc package
  * Ack NMU (Closes: #1063114)

 -- Fabian Greffrath <fabian@debian.org>  Tue, 10 Dec 2024 09:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>,
 Build-Depends-Indep:
  doxygen,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
+ cmake,
  libogg-dev,
- pandoc [!arc !i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !sh4 !x32],
-Standards-Version: 4.6.1
+ pandoc [!alpha !hppa !hurd-i386 !i386 !loong64 !m68k !powerpc !sh4 !x32],
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
-Homepage: https://xiph.org/flac/
-Rules-Requires-Root: no
+Homepage: https://github.com/xiph/flac
 
 Package: flac
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: foreign
 Description: Free Lossless Audio Codec - command line tools
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -38,10 +39,7 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac12t64
-Provides: ${t64:Provides}
-Replaces: libflac12
-Breaks: libflac12 (<< ${source:Version})
+Package: libflac14
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -93,10 +91,16 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac12t64 (= ${binary:Version}),
+ flac (= ${binary:Version}),
+ libflac++11 (= ${binary:Version}),
+ libflac14 (= ${binary:Version}),
  libogg-dev,
  ${misc:Depends},
-Description: Free Lossless Audio Codec - C development library
+Breaks:
+ libflac++-dev (<< 1.5.0+ds-5~),
+Replaces:
+ libflac++-dev (<< 1.5.0+ds-5~),
+Description: Free Lossless Audio Codec - C/C++ development libraries
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
  .
@@ -108,9 +112,9 @@
   * Input plugins for various music players (Winamp, XMMS, and more in the
     works)
  .
- This package contains the development library libFLAC.
+ This package contains the development libraries libFLAC and libFLAC++.
 
-Package: libflac++10
+Package: libflac++11
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -134,23 +138,12 @@
  This package contains the runtime library libFLAC++.
 
 Package: libflac++-dev
-Section: libdevel
+Section: oldlibs
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac++10 (= ${binary:Version}),
- libflac-dev,
+ libflac-dev (>= 1.5.0+ds-5~),
  ${misc:Depends},
-Description: Free Lossless Audio Codec - C++ development library
- FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
- similar to MP3, but lossless.  The FLAC project consists of:
- .
-  * The stream format
-  * libFLAC, which implements a reference encoder, stream decoder, and file
-    decoder
-  * flac, which is a command-line wrapper around libFLAC to encode and decode
-    .flac files
-  * Input plugins for various music players (Winamp, XMMS, and more in the
-    works)
- .
- This package contains the development library libFLAC++.
+Description: transitional dummy package (libflac++-dev -> libflac-dev)
+ This package is a dummy package to enable the transition from
+ libflac++-dev to libflac-dev. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,22 @@
 
 BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
 
+ifeq ($(shell pandoc -v 2>/dev/null),)
+INSTALL_MANPAGES="-DINSTALL_MANPAGES=OFF"
+endif
+
 %:
 	dh $@ --buildsystem=cmake
 
+override_dh_update_autotools_config:
+override_dh_autoreconf:
+
 override_dh_auto_configure:
-	dh_auto_configure -B $(BUILDDIR)-static
+	dh_auto_configure -B $(BUILDDIR)-static -- \
+		$(INSTALL_MANPAGES)
 	dh_auto_configure -- \
-		-DBUILD_SHARED_LIBS=ON
+		-DBUILD_SHARED_LIBS=ON \
+		$(INSTALL_MANPAGES)
 
 override_dh_auto_build:
 	dh_auto_build -B $(BUILDDIR)-static
@@ -18,6 +27,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i -- -C doc
+	touch doc/FLAC.tag && sed -e 's,>.*/include/,>/usr/include/,g' -i doc/FLAC.tag
 
 override_dh_auto_install:
 	dh_auto_install -B $(BUILDDIR)-static
@@ -27,7 +37,11 @@
 	dh_auto_install -i -- -C doc
 
 execute_after_dh_auto_install-arch:
-	mkdir -p debian/tmp/usr/share/man	
+	mkdir -p debian/tmp/usr/share/man
+
+override_dh_makeshlibs:
+	dh_makeshlibs -plibflac++11 -VUpstream-Version
+	dh_makeshlibs --remaining-packages
 
 override_dh_auto_test-arch:
 	# drop (fake)root privileges,

=== debian/watch ===
Version: 5
Template: GitHub
Owner: xiph
Project: flac
Dversion-Mangle: s/@DEB_EXT@//
Repack-Suffix: +ds
Compression: xz
